Bug 64418 - image in header cannot be selected via mouse
Summary: image in header cannot be selected via mouse
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
Depends on:
Blocks: Writer-Header-Footer Writer-Images
  Show dependency treegraph
 
Reported: 2013-05-10 08:02 UTC by László Németh
Modified: 2019-08-31 23:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file with an "unremovable" chart (shape group) (15.64 KB, application/vnd.oasis.opendocument.text)
2013-05-10 08:03 UTC, László Németh
Details
Another test document (9.19 KB, application/vnd.oasis.opendocument.text)
2015-05-20 16:26 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2013-05-10 08:02:08 UTC
The attached file contains a "frozen" image, that doesn't respond for the mouse clicks in effect (only sporadically). Workarounds to select it are to use the keyboard selection (Shift-F4), selection frames, or LibreOffice 3.4 (that is free from this kind of selection problem.), but these operations are not so trivial for the average users.

It seems, the problem is related to the new header/footer GUI. The picture is anchored to the paragraph of the header. It is important, that not intentionally: normal operations, like setting the anchoring point of a picture to paragraph from page can result the anchoring to the paragraph of the header (like in the case of the original version of the attached test file).

Tested with the master, too.
Comment 1 László Németh 2013-05-10 08:03:20 UTC
Created attachment 79080 [details]
Test file with an "unremovable" chart (shape group)
Comment 2 Jorendc 2013-05-29 22:15:22 UTC
Not bisectable using bibisect40 package. Opening it using 3.5.0 alpha version (oldest) the image is shifted almost completely out of the document, and is still not clickable.
Comment 3 Miklos Vajna 2013-06-11 14:42:10 UTC
Hmm, I just tried this with latest master and -4-1, in both versions I can select the image using ctrl-click just fine.

Other than that, it indeed seems that no ctrl was needed in 3.4.
Comment 4 Cédric Bosdonnat 2014-01-20 08:57:44 UTC
Restricted my LibreOffice hacking area
Comment 5 Gordo 2015-05-20 16:26:30 UTC
Created attachment 115752 [details]
Another test document

The attached document has a basic shape anchored to the paragraph in the header.  It is selectable if you click on it above the header line and it is not selectable if you click on it below the header line.  Once you move all of the shape below the header line then it can only be selected with Ctrl or with other methods described in the previous comments.

1. New Text Document.
2. Select Basic Shape and draw it in the body of the document.
3. Insert Header.
4. Select shape, right click → Anchor → To Page.
5. Move shape up into header.
6. Select shape, right click → Anchor → To Paragraph.
Note:
Anchor moves from page to paragraph in header.
7. Select shape and move it down into the middle of the page and deselect it.
8. Try to select shape with left mouse button.
Result:
Nope.
9. Try to select shape with Ctrl + left mouse button.
Result:
Shape selected.
10. With shape selected, right click → Name and type “test”.
Note:
Draw objects in the Navigator now has an item named “test”.
11. Deselect shape.
12. Double click on “test” under Draw objects in Navigator.
Result:
Shape selected.
13. Deselect shape.
14. On Drawing toolbar, click on Select (arrow on the left) and drag a box around the shape to select it.
Result:
Shape selected.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 6 Robinson Tryon (qubit) 2015-12-14 05:40:07 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2016-09-14 15:43:35 UTC
[This is an automatic message]

Changing version to 3.5.7.2 in order to get rid of 'preBibisect' version as 3.5.7.2 looks to be the last version not covered by bibisect-43all.
Comment 8 QA Administrators 2018-06-22 02:50:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug